diff --git a/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart b/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
index 755d55d..3d86bae 100644
--- a/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
+++ b/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
@@ -467,69 +1171,192 @@ class _KonfirmasiPenerimaPageState extends State<KonfirmasiPenerimaPage> {
         child: Column(
           crossAxisAlignment: CrossAxisAlignment.start,
           children: [
-            const Text(
-              'Form Persetujuan',
-              style: TextStyle(
-                fontSize: 18,
-                fontWeight: FontWeight.bold,
-                color: AppTheme.primaryColor,
-              ),
+            Row(
+              children: [
+                Container(
+                  padding: const EdgeInsets.all(8),
+                  decoration: BoxDecoration(
+                    color: Colors.teal.withOpacity(0.1),
+                    borderRadius: BorderRadius.circular(8),
+                  ),
+                  child: const Icon(
+                    Icons.gavel_outlined,
+                    color: Colors.teal,
+                  ),
+                ),
+                const SizedBox(width: 12),
+                const Text(
+                  'Form Persetujuan',
+                  style: TextStyle(
+                    fontSize: 18,
+                    fontWeight: FontWeight.bold,
+                    color: AppTheme.primaryColor,
+                  ),
+                ),
+              ],
             ),
             const SizedBox(height: 16),
 
-            // Checkbox persetujuan 1
-            Row(
-              crossAxisAlignment: CrossAxisAlignment.start,
-              children: [
-                SizedBox(
-                  width: 24,
-                  height: 24,
-                  child: Checkbox(
-                    value: _setujuPenerimaan,
-                    onChanged: (value) {
-                      setState(() {
-                        _setujuPenerimaan = value ?? false;
-                      });
-                    },
-                    activeColor: AppTheme.primaryColor,
+            // Deskripsi Persetujuan
+            Container(
+              width: double.infinity,
+              padding: const EdgeInsets.all(12),
+              decoration: BoxDecoration(
+                color: Colors.grey[50],
+                borderRadius: BorderRadius.circular(8),
+                border: Border.all(color: Colors.grey[200]!),
+              ),
+              child: Text(
+                'Dengan menandatangani dan mencentang pernyataan berikut, penerima menyatakan telah menerima bantuan sesuai dengan jumlah dan kondisi yang tertera.',
+                style: TextStyle(
+                  color: Colors.grey[700],
+                  fontSize: 13,
+                ),
+              ),
+            ),
+            const SizedBox(height: 20),
+
+            // Checkbox persetujuan 1 dengan card
+            Container(
+              decoration: BoxDecoration(
+                color: _setujuPenerimaan ? Colors.green[50] : Colors.white,
+                borderRadius: BorderRadius.circular(8),
+                border: Border.all(
+                  color: _setujuPenerimaan
+                      ? Colors.green[300]!
+                      : Colors.grey[300]!,
+                ),
+              ),
+              child: InkWell(
+                onTap: () {
+                  setState(() {
+                    _setujuPenerimaan = !_setujuPenerimaan;
+                  });
+                },
+                borderRadius: BorderRadius.circular(8),
+                child: Padding(
+                  padding: const EdgeInsets.all(12.0),
+                  child: Row(
+                    crossAxisAlignment: CrossAxisAlignment.start,
+                    children: [
+                      SizedBox(
+                        width: 24,
+                        height: 24,
+                        child: Checkbox(
+                          value: _setujuPenerimaan,
+                          onChanged: (value) {
+                            setState(() {
+                              _setujuPenerimaan = value ?? false;
+                            });
+                          },
+                          activeColor: Colors.green,
+                          shape: RoundedRectangleBorder(
+                            borderRadius: BorderRadius.circular(4),
+                          ),
+                        ),
+                      ),
+                      const SizedBox(width: 12),
+                      Expanded(
+                        child: Column(
+                          crossAxisAlignment: CrossAxisAlignment.start,
+                          children: [
+                            const Text(
+                              'Pernyataan Penerimaan',
+                              style: TextStyle(
+                                fontWeight: FontWeight.bold,
+                                fontSize: 14,
+                              ),
+                            ),
+                            const SizedBox(height: 4),
+                            const Text(
+                              'Saya telah menerima bantuan dengan jumlah dan kondisi yang sesuai.',
+                              style: TextStyle(fontSize: 13),
+                            ),
+                          ],
+                        ),
+                      ),
+                      if (_setujuPenerimaan)
+                        Icon(
+                          Icons.check_circle,
+                          color: Colors.green[600],
+                          size: 20,
+                        ),
+                    ],
                   ),
                 ),
-                const SizedBox(width: 12),
-                const Expanded(
-                  child: Text(
-                    'Saya telah menerima bantuan dengan jumlah dan kondisi yang sesuai.',
-                    style: TextStyle(fontSize: 14),
-                  ),
-                ),
-              ],
+              ),
             ),
             const SizedBox(height: 12),
 
-            // Checkbox persetujuan 2
-            Row(
-              crossAxisAlignment: CrossAxisAlignment.start,
-              children: [
-                SizedBox(
-                  width: 24,
-                  height: 24,
-                  child: Checkbox(
-                    value: _setujuPenggunaan,
-                    onChanged: (value) {
-                      setState(() {
-                        _setujuPenggunaan = value ?? false;
-                      });
-                    },
-                    activeColor: AppTheme.primaryColor,
+            // Checkbox persetujuan 2 dengan card
+            Container(
+              decoration: BoxDecoration(
+                color: _setujuPenggunaan ? Colors.green[50] : Colors.white,
+                borderRadius: BorderRadius.circular(8),
+                border: Border.all(
+                  color: _setujuPenggunaan
+                      ? Colors.green[300]!
+                      : Colors.grey[300]!,
+                ),
+              ),
+              child: InkWell(
+                onTap: () {
+                  setState(() {
+                    _setujuPenggunaan = !_setujuPenggunaan;
+                  });
+                },
+                borderRadius: BorderRadius.circular(8),
+                child: Padding(
+                  padding: const EdgeInsets.all(12.0),
+                  child: Row(
+                    crossAxisAlignment: CrossAxisAlignment.start,
+                    children: [
+                      SizedBox(
+                        width: 24,
+                        height: 24,
+                        child: Checkbox(
+                          value: _setujuPenggunaan,
+                          onChanged: (value) {
+                            setState(() {
+                              _setujuPenggunaan = value ?? false;
+                            });
+                          },
+                          activeColor: Colors.green,
+                          shape: RoundedRectangleBorder(
+                            borderRadius: BorderRadius.circular(4),
+                          ),
+                        ),
+                      ),
+                      const SizedBox(width: 12),
+                      Expanded(
+                        child: Column(
+                          crossAxisAlignment: CrossAxisAlignment.start,
+                          children: [
+                            const Text(
+                              'Pernyataan Penggunaan',
+                              style: TextStyle(
+                                fontWeight: FontWeight.bold,
+                                fontSize: 14,
+                              ),
+                            ),
+                            const SizedBox(height: 4),
+                            const Text(
+                              'Saya akan menggunakan bantuan dengan sebaik-baiknya',
+                              style: TextStyle(fontSize: 13),
+                            ),
+                          ],
+                        ),
+                      ),
+                      if (_setujuPenggunaan)
+                        Icon(
+                          Icons.check_circle,
+                          color: Colors.green[600],
+                          size: 20,
+                        ),
+                    ],
                   ),
                 ),
-                const SizedBox(width: 12),
-                const Expanded(
-                  child: Text(
-                    'Saya akan menggunakan bantuan dengan sebaik-baiknya',
-                    style: TextStyle(fontSize: 14),
-                  ),
-                ),
-              ],
+              ),
             ),
           ],
         ),
@@ -538,61 +1365,132 @@ class _KonfirmasiPenerimaPageState extends State<KonfirmasiPenerimaPage> {
   }
 
   Widget _buildKonfirmasiButton() {
-    return SizedBox(
+    final bool isFormValid = _setujuPenerimaan &&
+        _setujuPenggunaan &&
+        _signatureImage != null &&
+        _buktiPenerimaan != null;
+
+    return Container(
       width: double.infinity,
-      child: ElevatedButton(
-        onPressed: _setujuPenerimaan && _setujuPenggunaan
-            ? _konfirmasiPenerimaan
+      decoration: BoxDecoration(
+        borderRadius: BorderRadius.circular(12),
+        boxShadow: isFormValid
+            ? [
+                BoxShadow(
+                  color: AppTheme.primaryColor.withOpacity(0.3),
+                  blurRadius: 8,
+                  offset: const Offset(0, 4),
+                ),
+              ]
             : null,
-        style: ElevatedButton.styleFrom(
-          backgroundColor: AppTheme.primaryColor,
-          foregroundColor: Colors.white,
-          padding: const EdgeInsets.symmetric(vertical: 16),
-          shape: RoundedRectangleBorder(
-            borderRadius: BorderRadius.circular(12),
+      ),
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          if (!_setujuPenerimaan ||
+              !_setujuPenggunaan ||
+              _signatureImage == null ||
+              _buktiPenerimaan == null)
+            Padding(
+              padding: const EdgeInsets.only(left: 8, bottom: 12),
+              child: Row(
+                children: [
+                  Icon(
+                    Icons.warning_amber_rounded,
+                    color: Colors.orange[700],
+                    size: 18,
+                  ),
+                  const SizedBox(width: 8),
+                  Expanded(
+                    child: Text(
+                      'Harap lengkapi semua data untuk konfirmasi',
+                      style: TextStyle(
+                        fontSize: 13,
+                        color: Colors.orange[800],
+                        fontWeight: FontWeight.w500,
+                      ),
+                    ),
+                  ),
+                ],
+              ),
+            ),
+
+          ElevatedButton(
+            onPressed: isFormValid ? _konfirmasiPenerimaan : null,
+            style: ElevatedButton.styleFrom(
+              backgroundColor: AppTheme.primaryColor,
+              foregroundColor: Colors.white,
+              padding: const EdgeInsets.symmetric(vertical: 16),
+              shape: RoundedRectangleBorder(
+                borderRadius: BorderRadius.circular(12),
+              ),
+              disabledBackgroundColor: Colors.grey[300],
+              disabledForegroundColor: Colors.grey[600],
+              elevation: isFormValid ? 0 : 0,
+            ),
+            child: Row(
+              mainAxisAlignment: MainAxisAlignment.center,
+              children: [
+                Icon(
+                  isFormValid ? Icons.check_circle_outline : Icons.lock_outline,
+                  size: 20,
+                ),
+                const SizedBox(width: 8),
+                const Text(
+                  'Konfirmasi Penerimaan',
+                  style: TextStyle(
+                    fontSize: 16,
+                    fontWeight: FontWeight.bold,
+                  ),
+                ),
+              ],
+            ),
           ),
-          disabledBackgroundColor: Colors.grey[300],
-          disabledForegroundColor: Colors.grey[600],
-        ),
-        child: const Text(
-          'Konfirmasi Penerimaan',
-          style: TextStyle(
-            fontSize: 16,
-            fontWeight: FontWeight.bold,
-          ),
-        ),
+
+          // Status indikator
+          if (!isFormValid)
+            Column(
+              children: [
+                const SizedBox(height: 12),
+                Row(
+                  mainAxisAlignment: MainAxisAlignment.center,
+                  children: [
+                    _buildStatusIndicator(
+                        _setujuPenerimaan && _setujuPenggunaan, 'Persetujuan'),
+                    const SizedBox(width: 12),
+                    _buildStatusIndicator(
+                        _signatureImage != null, 'Tanda Tangan'),
+                    const SizedBox(width: 12),
+                    _buildStatusIndicator(
+                        _buktiPenerimaan != null, 'Foto Bukti'),
+                  ],
+                ),
+              ],
+            ),
+        ],
       ),
     );
   }
 
-  Widget _buildInfoRow(String label, String value) {
-    return Padding(
-      padding: const EdgeInsets.symmetric(vertical: 8.0),
-      child: Row(
-        crossAxisAlignment: CrossAxisAlignment.start,
-        children: [
-          Expanded(
-            flex: 2,
-            child: Text(
-              label,
-              style: const TextStyle(
-                color: Colors.black87,
-              ),
-            ),
+  Widget _buildStatusIndicator(bool isComplete, String label) {
+    return Row(
+      mainAxisSize: MainAxisSize.min,
+      children: [
+        Icon(
+          isComplete ? Icons.check_circle : Icons.radio_button_unchecked,
+          color: isComplete ? Colors.green[600] : Colors.grey[400],
+          size: 14,
+        ),
+        const SizedBox(width: 4),
+        Text(
+          label,
+          style: TextStyle(
+            fontSize: 12,
+            color: isComplete ? Colors.green[600] : Colors.grey[600],
+            fontWeight: isComplete ? FontWeight.w500 : FontWeight.normal,
           ),
-          Expanded(
-            flex: 3,
-            child: Text(
-              value,
-              style: const TextStyle(
-                fontWeight: FontWeight.w500,
-                color: Colors.black,
-              ),
-              textAlign: TextAlign.right,
-            ),
-          ),
-        ],
-      ),
+        ),
+      ],
     );
   }
 
@@ -719,7 +1617,7 @@ class _KonfirmasiPenerimaPageState extends State<KonfirmasiPenerimaPage> {
       // Konfirmasi penerimaan
       try {
         await controller.konfirmasiPenerimaan(
-          penerima,
+          penerima!,
           buktiPenerimaan: imageUrl,
           tandaTangan: signatureUrl,
         );
diff --git a/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart b/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
index ac1a853..de2d707 100644
--- a/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
+++ b/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
@@ -158,24 +158,6 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
         child: Column(
           crossAxisAlignment: CrossAxisAlignment.start,
           children: [
-            Row(
-              mainAxisAlignment: MainAxisAlignment.spaceBetween,
-              children: [
-                Expanded(
-                  child: Text(
-                    penyaluran.namaPenyaluran ??
-                        penyaluran.keterangan ??
-                        'Bantuan',
-                    style: const TextStyle(
-                      fontSize: 22,
-                      fontWeight: FontWeight.bold,
-                      color: Colors.black,
-                    ),
-                  ),
-                ),
-              ],
-            ),
-            const SizedBox(height: 16),
             if (penyaluran.deskripsiPenyaluran != null &&
                 penyaluran.deskripsiPenyaluran!.isNotEmpty)
               Padding(
@@ -452,16 +434,6 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                 ],
               ),
             ],
-            if (penyaluran.keterangan != null &&
-                penyaluran.keterangan!.isNotEmpty) ...[
-              const Divider(height: 24),
-              _buildDetailItem(
-                icon: Icons.note,
-                title: 'Keterangan',
-                value: penyaluran.keterangan!,
-                statusColor: null,
-              ),
-            ],
           ],
         ),
       ),
diff --git a/lib/app/routes/app_pages.dart b/lib/app/routes/app_pages.dart
index 63e9de9..f78e9ce 100644
--- a/lib/app/routes/app_pages.dart
+++ b/lib/app/routes/app_pages.dart
@@ -207,10 +207,15 @@ class AppPages {
     ),
     GetPage(
       name: _Paths.konfirmasiPenerimaQr,
-      page: () => KonfirmasiPenerimaPage(
-        penerima: Get.arguments['penerima'],
-        tanggalPenyaluran: Get.arguments['tanggal_penyaluran'],
-      ),
+      page: () {
+        final penerima = Get.arguments['penerima'];
+        final String penerimaPenyaluranId = penerima?.id ?? '';
+
+        return KonfirmasiPenerimaPage(
+          penerimaPenyaluranId: penerimaPenyaluranId,
+          tanggalPenyaluran: Get.arguments['tanggal_penyaluran'],
+        );
+      },
       binding: PenyaluranBinding(),
     ),
     GetPage(
diff --git a/lib/app/widgets/bantuan_card.dart b/lib/app/widgets/bantuan_card.dart
index f20457c..e074d33 100644
--- a/lib/app/widgets/bantuan_card.dart
+++ b/lib/app/widgets/bantuan_card.dart
@@ -81,16 +81,6 @@ class BantuanCard extends StatelessWidget {
                       crossAxisAlignment: CrossAxisAlignment.start,
                       mainAxisSize: MainAxisSize.min,
                       children: [
-                        Text(
-                          item.namaPenyaluran ?? item.keterangan ?? 'Bantuan',
-                          style: const TextStyle(
-                            fontWeight: FontWeight.bold,
-                            fontSize: 16,
-                          ),
-                          overflow: TextOverflow.ellipsis,
-                          maxLines: 1,
-                        ),
-                        const SizedBox(height: 6),
                         Text(
                           item.kategoriNama ?? 'Bantuan',
                           style: TextStyle(
@@ -245,22 +235,6 @@ class BantuanCard extends StatelessWidget {
                                 ? Colors.green.shade700
                                 : Colors.blue.shade700,
                           ),
-                          const SizedBox(width: 8),
-                          Flexible(
-                            child: Text(
-                              item.namaPenyaluran ??
-                                  item.keterangan ??
-                                  'Bantuan',
-                              style: TextStyle(
-                                fontSize: 18,
-                                fontWeight: FontWeight.bold,
-                                color: item.isUang == true
-                                    ? Colors.green.shade800
-                                    : Colors.blue.shade800,
-                              ),
-                              overflow: TextOverflow.ellipsis,
-                            ),
-                          ),
                         ],
                       ),
                     ),
